aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci/linux/grpc_bazel_on_foundry_base.sh
diff options
context:
space:
mode:
authorGravatar Matt Kwong <matt-kwong@users.noreply.github.com>2018-05-02 11:32:19 -0700
committerGravatar GitHub <noreply@github.com>2018-05-02 11:32:19 -0700
commit11fe61ebe6962c4fdeb39f688b1e17e2dc76f577 (patch)
treee650d8b80843d443c3dfcc0dffe092680c847133 /tools/internal_ci/linux/grpc_bazel_on_foundry_base.sh
parent7df24412237760f9dbae6b1bd7b8f89c95c9c913 (diff)
parentb16fcf58e5908a18fa3f17180b7548a050b647f1 (diff)
Merge pull request #14736 from matt-kwong/resultstore-results
Add test result uploading for RBE builds
Diffstat (limited to 'tools/internal_ci/linux/grpc_bazel_on_foundry_base.sh')
-rwxr-xr-xtools/internal_ci/linux/grpc_bazel_on_foundry_base.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/tools/internal_ci/linux/grpc_bazel_on_foundry_base.sh b/tools/internal_ci/linux/grpc_bazel_on_foundry_base.sh
index 8a479bddf6..d38356c966 100755
--- a/tools/internal_ci/linux/grpc_bazel_on_foundry_base.sh
+++ b/tools/internal_ci/linux/grpc_bazel_on_foundry_base.sh
@@ -53,4 +53,14 @@ source tools/internal_ci/helper_scripts/prepare_build_linux_rc
--crosstool_top=@com_github_bazelbuild_bazeltoolchains//configs/debian8_clang/0.3.0/bazel_0.10.0:toolchain \
--define GRPC_PORT_ISOLATED_RUNTIME=1 \
$1 \
- -- //test/...
+ -- //test/... || FAILED="true"
+
+if [ "$UPLOAD_TEST_RESULTS" != "" ]
+then
+ python ./tools/run_tests/python_utils/upload_rbe_results.py
+fi
+
+if [ "$FAILED" != "" ]
+then
+ exit 1
+fi